# Blogger API . blogs

## Instance Methods

Gets one blog by id.

### Method Details

`get(blogId)`

    Gets one blog by id.

    Args:
      blogId: string, The ID of the blog to get. (required)

    Returns:
      An object of the form:

        {
        "kind": "blogger#blog", # The kind of this entry. Always blogger#blog
        "description": "A String", # The description of this blog. This is displayed underneath the title.
        "locale": { # The locale this Blog is set to.
          "country": "A String", # The country this blog's locale is set to.
          "variant": "A String", # The language variant this blog is authored in.
          "language": "A String", # The language this blog is authored in.
        },
        "posts": { # The container of posts in this blog.
          "totalItems": 42, # The count of posts in this blog.
          "selfLink": "A String", # The URL of the container for posts in this blog.
        },
        "updated": "A String", # RFC 3339 date-time when this blog was last updated.
        "id": "A String", # The identifier for this resource.
        "url": "A String", # The URL where this blog is published.
        "published": "A String", # RFC 3339 date-time when this blog was published.
        "pages": { # The container of pages in this blog.
          "totalItems": 42, # The count of pages in this blog.
          "selfLink": "A String", # The URL of the container for pages in this blog.
        },
        "selfLink": "A String", # The API REST URL to fetch this resource from.
        "name": "A String", # The name of this blog. This is displayed as the title.
      }